Update an email workspace

Updates the name and/or Google service account key of the workspace.

Path Parameters
  • id
    Type: integerFormat: int32
    required

    The ID of the workspace to update.

Body·
required
application/json

Update an email workspace

  • name
    Type: string
    required

    New human-readable name for the workspace.

  • file_key_json
    Type: null

    Replacement Google service account key JSON. Only applicable to Google workspaces.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/email_workspaces/{id}
curl http://api.mailreach.co/api/v1/email_workspaces/42 \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: YOUR_SECRET_TOKEN' \
  --data '{
  "name": "Acme Sales",
  "file_key_json": null
}'
{
  "id": 42,
  "name": "Acme Sales",
  "created_at": "2026-02-14T09:30:00.000Z",
  "provider": "google",
  "outlook_tenant_id": "1f9e4b2c-3f67-4f8e-9b3e-0f0f6a9b1e2d",
  "outlook_client_id": "82c5c74d-6ba1-42b1-9c1d-91f8a7b51b2a",
  "outlook_client_secret_expires_at": "2028-01-29T00:00:00.000Z"
}